i start freeswitch it says max sessions 1000
and session rate 30.. what exact do these numbers mean and how can i increase them
Your help is greatly appreciated.

Best Regards
Hareem. Haque



On Sun, Feb 20, 2011 at 12:11 PM, <freeswitch-users-request@lists.freeswitch.org> wrote:
Send FreeSWITCH-users mailing list submissions to
       freeswitch-users@lists.freeswitch.org

To subscribe or unsubscribe via the World Wide Web, visit
       http://lists.freeswitch.org/mailman/listinfo/freeswitch-users
or, via email, send a message with subject or body 'help' to
       freeswitch-users-request@lists.freeswitch.org

You can reach the person managing the list at
       freeswitch-users-owner@lists.freeswitch.org

When replying, please edit your Subject line so it is more specific
than "Re: Contents of FreeSWITCH-users digest..."

Today's Topics:

  1. Re: Codec negotiation, again (Steven Ayre)
  2. Re: Any experience with DTMF from FreeSwitch to Sonus with
     Vega ATAs? (Yehavi Bourvine)
  3. Need help with CDR setup and call routing patterns (Hareem Haque)
  4. Re: Need help with CDR setup and call routing     patterns
     (Steven Ayre)
  5. Re: Need help with CDR setup and call routing     patterns
     (Steven Ayre)


---------- Forwarded message ----------
From: Steven Ayre <steveayre@gmail.com>
To: FreeSWITCH Users Help <freeswitch-users@lists.freeswitch.org>
Date: Sun, 20 Feb 2011 12:36:45 +0000
Subject: Re: [Freeswitch-users] Codec negotiation, again
In default behaviour, FS will negotiate the codec for the aleg, then do the dialplan, then do the bleg. As a result it can have already picked the 729 codec by the time it hits the dialplan. With transcoding that's fine but with 729 not.

The workaround is the late-negotiation profile parameter. It delays picking the aleg codec until the bleg picks one, then uses that if possible for the aleg.

Steve on iPhone


On 20 Feb 2011, at 01:33, Serge Yuriev <me@nevian.org> wrote:

> Hello,
>
> A offers g729, g711a, g711u
> FS allows all of them
> B offers g711a, g711u
>
> Call fails with INCOMPATIBLE DESTINATION.
>
> Cant understand why FS offers only ONE codec (g729) to B - wiki says it should offer ordered LIST of..
> GIT few days old, default config
>
> --
> wbr,
> Serge
>
> _______________________________________________
> FreeSWITCH-users mailing list
> FreeSWITCH-users@lists.freeswitch.org
> http://lists.freeswitch.org/mailman/listinfo/freeswitch-users
> UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-users
> http://www.freeswitch.org




---------- Forwarded message ----------
From: Yehavi Bourvine <yehavi.bourvine@gmail.com>
To: FreeSWITCH Users Help <freeswitch-users@lists.freeswitch.org>
Date: Sun, 20 Feb 2011 14:39:18 +0200
Subject: Re: [Freeswitch-users] Any experience with DTMF from FreeSwitch to Sonus with Vega ATAs?
Hello Steve,
 
  Thanks for clarifying it.
 
                     __Yehavi:

2011/2/20 Steve Underwood <steveu@coppice.org>
Hi Yehavi,

Section 3.2 of RFC2833 is poorly worded, and causes a lot of issues in
the real world. The first paragraph says you can choose to send both
audio and events, but doesn't clarify how. Presumably RFC2198 should be
used. Is your system using RFC2198 encoding? I doubt it. The second
paragraph talks about tone onset getting through as audio. Valid DTMF
can be as short as 45ms, so 60ms is far more than anything which might
be termed onset. Because they didn't specify anything about what is
tolerable as tone onset passing through the channel as audio we have
chaos today.

RFC2833 is an obsolete spec, and we should be talking about RFC4733
today. Section 2.5.1.3.1 of RFC4733 does clearly call for combined
payloads to be sent as RFC2198 packets. RFC4733 is even vaguer about the
onset issue, though.

Steve


On 02/20/2011 06:33 PM, Yehavi Bourvine wrote:
> Hello Steve,
>  I uderstand from paragraph 3.2 in RFC-2833 that the sender may send
> some audio of the DTMF while sending the events, until it revognises
> that this is a DTMF tone. The 60mSec is what I've been told by Vega
> engineers.
>                                Thanks! __Yehavi:
>
> 2011/2/20 Steve Underwood <steveu@coppice.org <mailto:steveu@coppice.org>>
>
>     On 02/20/2011 03:31 PM, Yehavi Bourvine wrote:
>     > Hello,
>     >   Anyone has an experience with the above configuration? All
>     sides are
>     > marked as RFC-2833 and the Sonus recognises most of the DTMF's
>     twice.
>     > The Vega sends both RFC-2833 events and about 60msec of the DTMF
>     tone
>     > (according to Vega's engineers it takes it about 60 msec to
>     detect the
>     > DTMF tones).
>     > According to the RFC this is acceptable. The service provider I am
>     > working with says that it shouldn't be like that. Before I waste
>     time
>     > in wars, has anybody had this issue and knows whether it is a matter
>     > of configuration at the Sonus side?
>     >                                    Thanks! __Yehavi:
>     Are you saying the Vega sends 60ms of DTMF as audio, then sends
>     RFC2833
>     DTMF packets and mutes the audio? In what reading of the RFC is that
>     considered appropriate action? In addition, a DTMF detector should
>     detect is more like 40ms. 60ms is rather long.
>
>     Steve
>
>
>     _______________________________________________
>     FreeSWITCH-users mailing list
>     FreeSWITCH-users@lists.freeswitch.org
>     <mailto:FreeSWITCH-users@lists.freeswitch.org>
>     http://www.freeswitch.org <http://www.freeswitch.org/>


---------- Forwarded message ----------
From: Hareem Haque <hareem.haque@gmail.com>
To: freeswitch-users@lists.freeswitch.org
Date: Sun, 20 Feb 2011 11:08:08 -0500
Subject: [Freeswitch-users] Need help with CDR setup and call routing patterns
Thank you very much for helping me out with the initial switch setup. I really appreciate it. However, I am stuck with the cdr and call routing patterns setup. 


A. I have attached my cdr_csv file and its cdr log file. As you may see in the conf xml that i have 22 items that i need posted onto my cdr logs. However, the csv file only shows 15 items. How can i make this work

B. I have setup a few sip trunks. Now how do i set them up so that if i dial 01192 that call goes to gateway A and if i dial 1XXX then that call goes to gateway B

Many thanks for all the help. I really appreciate it

Best Regards
Hareem. Haque




---------- Forwarded message ----------
From: Steven Ayre <steveayre@gmail.com>
To: FreeSWITCH Users Help <freeswitch-users@lists.freeswitch.org>
Date: Sun, 20 Feb 2011 17:01:47 +0000
Subject: Re: [Freeswitch-users] Need help with CDR setup and call routing patterns
After changing the config, did you reload the config?

reloadxml
reload mod_cdr_csv

Steve on iPhone



On 20 Feb 2011, at 16:08, Hareem Haque <hareem.haque@gmail.com> wrote:

> Thank you very much for helping me out with the initial switch setup. I really appreciate it. However, I am stuck with the cdr and call routing patterns setup.
>
>
> A. I have attached my cdr_csv file and its cdr log file. As you may see in the conf xml that i have 22 items that i need posted onto my cdr logs. However, the csv file only shows 15 items. How can i make this work
>
> B. I have setup a few sip trunks. Now how do i set them up so that if i dial 01192 that call goes to gateway A and if i dial 1XXX then that call goes to gateway B
>
> Many thanks for all the help. I really appreciate it
>
> Best Regards
> Hareem. Haque
>
>
> <cdr_csv.conf.xml>
> <hareem.csv>
> _______________________________________________
> FreeSWITCH-users mailing list
> FreeSWITCH-users@lists.freeswitch.org
> http://lists.freeswitch.org/mailman/listinfo/freeswitch-users
> UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-users
> http://www.freeswitch.org




---------- Forwarded message ----------
From: Steven Ayre <steveayre@gmail.com>
To: FreeSWITCH Users Help <freeswitch-users@lists.freeswitch.org>
Date: Sun, 20 Feb 2011 17:10:34 +0000
Subject: Re: [Freeswitch-users] Need help with CDR setup and call routing patterns
B. I have setup a few sip trunks. Now how do i set them up so that if i dial 01192 that call goes to gateway A and if i dial 1XXX then that call goes to gateway B

Handle each in a different extension in the dialplan:

<extension name="route1">
   <condition field="destination_number" expression="^(01192)$">
      <action application="bridge" data="sofia/gateway/gatewaya/$1"/>
   </condition>
</extension>
<extension name="route2">
   <condition field="destination_number" expression="^(1\d\d\d)$">
      <action application="bridge" data="sofia/gateway/gatewayb/$1"/>
   </condition>
</extension>

Adjust the expressions to suit the numbers you want to handle better. The contents of the () brackets are placed in variable $1, which is being used in the bridge to dial that number via the gateway. You can add prefixes etc there if you need them. ^ and $ match the start and end of the string, not actual characters. They're called regular expressions if you want to read up on them, and are more flexible than just matching absolute strings because you match patterns instead.

An example of changing a prefix, should your gateway need that (for example converting a local number to an international prefix):
   <condition field="destination_number" expression="^0(1192)$">
      <action application="bridge" data="sofia/gateway/gatewaya/44$1"/>
   </condition>
01192 would be dialed as 441192 through gateway a.

-Steve


 

On 20 February 2011 16:08, Hareem Haque <hareem.haque@gmail.com> wrote:
Thank you very much for helping me out with the initial switch setup. I really appreciate it. However, I am stuck with the cdr and call routing patterns setup. 


A. I have attached my cdr_csv file and its cdr log file. As you may see in the conf xml that i have 22 items that i need posted onto my cdr logs. However, the csv file only shows 15 items. How can i make this work

B. I have setup a few sip trunks. Now how do i set them up so that if i dial 01192 that call goes to gateway A and if i dial 1XXX then that call goes to gateway B

Many thanks for all the help. I really appreciate it

Best Regards
Hareem. Haque



_______________________________________________
FreeSWITCH-users mailing list
FreeSWITCH-users@lists.freeswitch.org
http://lists.freeswitch.org/mailman/listinfo/freeswitch-users
UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-users
http://www.freeswitch.org



_______________________________________________
FreeSWITCH-users mailing list
FreeSWITCH-users@lists.freeswitch.org
http://lists.freeswitch.org/mailman/listinfo/freeswitch-users
UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-users
http://www.freeswitch.org